Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Data Fields
proofs::Routing< Logic > Class Template Reference
Collaboration diagram for proofs::Routing< Logic >:
[legend]

## Public Types
typedef Logic::BitW | bitW
typedef Logic::EltW | EltW

## Public Member Functions
| Routing (const Logic &l)
template<class T>
void | shift (size_t logn, const bitW amount[], size_t k, T B[], size_t n, const T A[], const T &defaultA, size_t unroll) const
template<class T>
void | unshift (size_t logn, const bitW amount[], size_t n, T A[], size_t k, const T B[], const T &defaultB, size_t unroll) const
template<class T, size_t LOGN>
void | shift (const typename Logic::template bitvec< LOGN > &amount, size_t k, T B[], size_t n, const T A[], const T &defaultA, size_t unroll) const
template<class T, size_t LOGN>
void | unshift (const typename Logic::template bitvec< LOGN > &amount, size_t n, T A[], size_t k, const T B[], const T &defaultB, size_t unroll) const

## Data Fields
const Logic & | l_

The documentation for this class was generated from the following file:

- lib/circuits/logic/routing.h